#include <iostream>

using namespace std;

int main()
{
    unsigned long long int v,n=0,i;
    cin>>v;
    for(int k=18;k>0;k--){
        i=1;
        for(int m=1;m<k;m++){
            i=i*10;
        }
        if((5*i)<=v){
            v=v-(5*i);
            n++;
        }
        if((2*i)<=v){
            while((2*i)<=v){
                v=v-(2*i);
                n++;
            }
        }
        if((1*i)<=v){
            while((1*i)<=v){
                v=v-(1*i);
                n++;
            }
        }
        if(v==0){
            break;
        }
    }
    cout<<n;
    return 0;
}